Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.pubsub.cluster
Class AffiliationTask

    java.lang.Object
      org.jivesoftware.openfire.pubsub.cluster.NodeTask
          org.jivesoftware.openfire.pubsub.cluster.AffiliationTask

All Implemented Interfaces:
  Externalizable, Serializable, Runnable, ClusterTask

    public class AffiliationTask

extends NodeTask

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jivesoftware.openfire.pubsub.cluster.NodeTask
`nodeId, serviceId`

Constructor Summary
`AffiliationTask()`
`AffiliationTask(Node node, org.xmpp.packet.JID jid, NodeAffiliate.Affiliation affiliation)`

Method Summary
`NodeAffiliate.Affiliation` | `getAffilation()`
`org.xmpp.packet.JID` | `getJID()`
`void` | `readExternal(ObjectInput in)`
`void` | `run()`
`String` | `toString()`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class org.jivesoftware.openfire.pubsub.cluster.NodeTask
`getNode, getNodeId, getResult, getService`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AffiliationTask

    public AffiliationTask()

### AffiliationTask

    public AffiliationTask(Node node,
                           org.xmpp.packet.JID jid,
                           NodeAffiliate.Affiliation affiliation)

Method Detail

### getJID

    public org.xmpp.packet.JID getJID()

### getAffilation

    public NodeAffiliate.Affiliation getAffilation()

### run

    public void run()

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Overrides:
    `writeExternal` in class `NodeTask`
  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Overrides:
    `readExternal` in class `NodeTask`
  Throws:
    `IOException`
    `ClassNotFoundException`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.